Mojolicious::Command::eval(3pm)

NAME
Mojolicious::Command::eval - Eval command

SYNOPSIS
  Usage: APPLICATION eval [OPTIONS] CODE

    ./myapp.pl eval 'say app->ua->get("/")->result->body'
    ./myapp.pl eval 'say for sort keys %{app->renderer->helpers}'
    ./myapp.pl eval -v 'app->home'
    ./myapp.pl eval -V 'app->renderer->paths'

  Options:
    -h, --help          Show this summary of available options
        --home <path>   Path to home directory of your application, defaults to
                        the value of MOJO_HOME or auto-detection
    -m, --mode <name>   Operating mode for your application, defaults to the
                        value of MOJO_MODE/PLACK_ENV or "development"
    -v, --verbose       Print return value to STDOUT
    -V                  Print returned data structure to STDOUT

DESCRIPTION
Mojolicious::Command::eval runs code against applications. If the result is a promise (then-able), it will wait until the promise is fulfilled or rejected and the result is returned.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::eval inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $eval->description;
  $eval           = $eval->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $eval->usage;
  $eval     = $eval->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::eval inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $eval->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.